Subject: Re: [PATCH] virtio_net: use correct accessors for scatterlists

From: Rusty Russell <[email-masked]>
Date: Wed, 28 Jan 2009 21:29:18 +1030

On Tuesday 27 January 2009 15:30:55 David Miller wrote:
> From: Rusty Russell <[email-masked]>
> Date: Tue, 27 Jan 2009 15:21:19 +1030
> 
> > On Saturday 24 January 2009 10:40:53 Ira Snyder wrote:
> > > Without this fix, virtio_net makes incorrect usage of scatterlists. It sets
> > > the end of the scatterlist chain after the first element, despite the fact
> > > that more entries come after it.
> > > 
> > > If you try to run dma_map_sg() on one of the scatterlists given to you by
> > > add_buf(), you will get a null pointer oops.
> > > 
> > > Signed-off-by: Ira W. Snyder <[email-masked]>
> > 
> > Thanks, this should go in 2.6.29.  Dave?
> 
> Applied, should I queue it up for -stable too Rusty?

I don't think so.  It really is defined as an sg array, not an sg chain.  I'm happy to apply a little patch to make Ira's ongoing development easier, but no reason to panic about it.

Thanks,
Rusty.